﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RealTime128503
{
   public class ViewModel
    {
        public ObservableCollection<Model> Collection { get; set; }

        public ViewModel()
        {
            Collection = new ObservableCollection<Model>();
            double value1 = 0;
            double value2 = 180;
            DateTime date = DateTime.Now;
            Random rd = new Random();
            for (int i = 0; i < 180; i++)
            {
                Collection.Add(new Model()
                {
                    Speed = date,
                    Rate1 = Math.Sin(value1 * (Math.PI / 180.0)),
                    Rate2 = Math.Sin(value2 * (Math.PI / 180.0))
                });
                value1++;
                value2++;
                date = date.AddMinutes(1);
            }

        }
    }
}
